Name:           scriptaculous-js
Version:        1.8.1
Release:        1%{?dist}
Summary:        JavaScript libraries for web user interfaces

Group:          Applications/Publishing
License:        MIT
URL:            http://script.aculo.us
Source0:        http://script.aculo.us/dist/scriptaculous-js-1.8.1.tar.bz2
Source1:        %{name}.conf

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       httpd

%description
JavaScript libraries for web user interfaces

%package tests
Group:          Applications/Publishing
Summary:        Tests demonstrating the use of scriptaculous-js
Requires:       scriptaculous-js

%description tests
Tests demonstrating the use of scriptaculous-js

%prep
%setup -q

# Fix encoding of CHANGELOG:
iconv --from=ISO-8859-1 --to=UTF-8 CHANGELOG > CHANGELOG.new
touch -c -r CHANGELOG CHANGELOG.new
mv CHANGELOG.new CHANGELOG

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr ../%{name}-%{version}/* $RPM_BUILD_ROOT%{_datadir}/%{name}
for f in CHANGELOG MIT-LICENSE README; do
  rm $RPM_BUILD_ROOT%{_datadir}/%{name}/$f
done
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG MIT-LICENSE README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/src

%files tests
%defattr(-,root,root,-)
%{_datadir}/%{name}/test


%changelog
* Wed Jul 16 2008 David Malcolm <dmalcolm@redhat.com> - 1.8.1-1
- initial packaging

